=== test/bug/CMakeLists.txt ===
glmCreateTestGTC(bug)
