=== test/core/CMakeLists.txt ===
glmCreateTestGTC(core)
glmCreateTestGTC(core_addressing)
glmCreateTestGTC(core_comparison)
glmCreateTestGTC(convert_sampler1d)
glmCreateTestGTC(convert_sampler1d_array)
glmCreateTestGTC(convert_sampler2d)
glmCreateTestGTC(convert_sampler2d_array)
glmCreateTestGTC(convert_sampler3d)
glmCreateTestGTC(convert_sampler_cube)
glmCreateTestGTC(convert_sampler_cube_array)
glmCreateTestGTC(core_convert)
glmCreateTestGTC(core_convert_access)
glmCreateTestGTC(core_filter_1d)
glmCreateTestGTC(core_filter_2d)
glmCreateTestGTC(core_filter_3d)
glmCreateTestGTC(core_format)
glmCreateTestGTC(core_sample)
glmCreateTestGTC(core_storage)
glmCreateTestGTC(core_image)
glmCreateTestGTC(core_load)
glmCreateTestGTC(core_load_gen_1d)
glmCreateTestGTC(core_load_gen_1d_array)
glmCreateTestGTC(core_load_gen_2d)
glmCreateTestGTC(core_load_gen_2d_array)
glmCreateTestGTC(core_load_gen_3d)
glmCreateTestGTC(core_load_gen_cube)
glmCreateTestGTC(core_load_gen_cube_array)
glmCreateTestGTC(core_load_gen_rect)
glmCreateTestGTC(core_load_dds)
glmCreateTestGTC(core_load_ktx)
glmCreateTestGTC(core_sampler_clear)
glmCreateTestGTC(core_sampler_texel)
glmCreateTestGTC(core_sampler_wrap)
glmCreateTestGTC(core_save)
glmCreateTestGTC(gl)
glmCreateTestGTC(texture_lod_sampler1d)
glmCreateTestGTC(texture_lod_sampler1d_array)
glmCreateTestGTC(texture_lod_sampler2d)
glmCreateTestGTC(texture_lod_sampler2d_array)
glmCreateTestGTC(texture_lod_sampler3d)
glmCreateTestGTC(texture_lod_sampler_cube)
glmCreateTestGTC(texture_lod_sampler_cube_array)
glmCreateTestGTC(generate_mipmaps_sampler1d)
glmCreateTestGTC(generate_mipmaps_sampler1d_array)
glmCreateTestGTC(generate_mipmaps_sampler2d)
glmCreateTestGTC(generate_mipmaps_sampler2d_array)
glmCreateTestGTC(generate_mipmaps_sampler3d)
glmCreateTestGTC(generate_mipmaps_sampler_cube)
glmCreateTestGTC(generate_mipmaps_sampler_cube_array)
glmCreateTestGTC(core_swizzle)
glmCreateTestGTC(core_texture)
glmCreateTestGTC(core_texture_1d)
glmCreateTestGTC(core_texture_1d_array)
glmCreateTestGTC(core_texture_2d)
glmCreateTestGTC(core_texture_2d_array)
glmCreateTestGTC(core_texture_3d)
glmCreateTestGTC(core_texture_cube)
glmCreateTestGTC(core_texture_cube_array)
glmCreateTestGTC(core_clear)
glmCreateTestGTC(core_fetch)
glmCreateTestGTC(core_flip)
glmCreateTestGTC(reduce)
glmCreateTestGTC(test_copy)
glmCreateTestGTC(test_copy_sub)
glmCreateTestGTC(test_duplicate)
glmCreateTestGTC(test_view)
glmCreateTestGTC(test_size)
glmCreateTestGTC(test_make_texture)
glmCreateTestGTC(transform)
