## gli 0.8.2.0%2Bds1

=== debian/changelog ===
gli (0.8.2.0+ds1-2) unstable; urgency=medium

  * Fix CMake detection for all architectures
    - New patch Fix-CMake-package-version-file.patch (Closes: #851050)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 11 Jan 2017 23:44:10 +0000

gli (0.8.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 0.8.2.0+ds1
  * Update patch queue.
    - Drop patch Discard-readme-from-docs.patch, applied upstream.
    - New patch Fix-path-to-project-logo.patch.
    - New patch Fix-project-version.patch.
  * Update packaging according to new doxygen setup.
  * Drop changelogs install override, no longer applicable.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 16 Nov 2016 15:55:50 +0000

gli (0.8.1.1+ds1-2) unstable; urgency=medium

  * d/t/control: add missing dependency on a c++ compiler.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 11 Oct 2016 07:47:40 +0100

gli (0.8.1.1+ds1-1) unstable; urgency=low

  * Initial release. (Closes: # 838990)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 04 Oct 2016 10:30:34 +0100
