=== debian/control ===
Source: gli
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               doxygen,
               libglm-dev (>= 0.9.8)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gli.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gli.git
Homepage: http://gli.g-truc.net/

Package: libgli-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Suggests: libgli-doc
Description: C++ image library for graphics software
 OpenGL Image (GLI) is a header only C++ image library for graphics software.
 .
 GLI provides classes and functions to load image files (KTX and DDS),
 facilitate graphics APIs texture creation, compare textures, access texture
 texels, sample textures, convert textures, generate mipmaps, etc.
 .
 This library works perfectly with OpenGL or Vulkan but it also ensures
 interoperability with other third party libraries and SDK. It is a good
 candidate for software rendering (raytracing / rasterisation), image
 processing, image based software testing or any development context that
 requires a simple and convenient image library.
 .
 This package provides the header-only library.

Package: libgli-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: documentation for the OpenGL Image (GLI) library
 OpenGL Image (GLI) is a header only C++ image library for graphics software.
 .
 GLI provides classes and functions to load image files (KTX and DDS),
 facilitate graphics APIs texture creation, compare textures, access texture
 texels, sample textures, convert textures, generate mipmaps, etc.
 .
 This library works perfectly with OpenGL or Vulkan but it also ensures
 interoperability with other third party libraries and SDK. It is a good
 candidate for software rendering (raytracing / rasterisation), image
 processing, image based software testing or any development context that
 requires a simple and convenient image library.
 .
 This package provides the documentation.
