=== debian/tests/control ===
Tests: gli-tests
Depends: @, cmake (>= 3.0), g++ | c++-compiler, libglm-dev (>= 0.9.8)
Restrictions: allow-stderr
