## gli 0.8.2.0+ds1

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR="lib"

override_dh_auto_build:
	dh_auto_build
	(cd doc && doxygen man.doxy)

override_dh_installdocs:
	dh_installdocs
	dh_doxygen
