=== debian/watch ===
version=3
opts=repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gli-$1\.tar\.gz/ \
https://github.com/g-truc/gli/tags .*/v?(\d\S*)\.tar\.gz
